# cwl_utils.cite_extract

## Functions

`arg_parser`() | Construct the argument parser.
`run`(args) | Extract the software requirements.
`main`() | Console entry point.
`extract_software_reqs`(process) | Return an iterator over any SoftwareRequirements found in the given process.
`process_software_requirement`(req) | Pretty print the software package information.
`traverse`(process) | Extract the software packages for this process, and any steps.
`get_process_from_step`(step) | Return the process for this step, loading it if needed.
`traverse_workflow`(workflow) | Iterate over the given workflow, extracting the software packages.

## Module Contents

cwl_utils.cite_extract.arg_parser()

  Construct the argument parser.

  Return type:

    argparse.ArgumentParser

cwl_utils.cite_extract.run(args)

  Extract the software requirements.

  Parameters:

    args (argparse.Namespace)

  Return type:

    int

cwl_utils.cite_extract.main()

  Console entry point.

  Return type:

    int

cwl_utils.cite_extract.extract_software_reqs(process)

  Return an iterator over any SoftwareRequirements found in the given process.

  Parameters:

    process (cwl_utils.parser.Process)

  Return type:

    collections.abc.Iterator[cwl_utils.parser.SoftwareRequirement]

cwl_utils.cite_extract.process_software_requirement(req)

  Pretty print the software package information.

  Parameters:

    req (cwl_utils.parser.SoftwareRequirement)

  Return type:

    None

cwl_utils.cite_extract.traverse(process)

  Extract the software packages for this process, and any steps.

  Parameters:

    process (cwl_utils.parser.Process)

  Return type:

    collections.abc.Iterator[cwl_utils.parser.SoftwareRequirement]

cwl_utils.cite_extract.get_process_from_step(step)

  Return the process for this step, loading it if needed.

  Parameters:

    step (cwl_utils.parser.WorkflowStep)

  Return type:

    cwl_utils.parser.Process

cwl_utils.cite_extract.traverse_workflow(workflow)

  Iterate over the given workflow, extracting the software packages.

  Parameters:

    workflow (cwl_utils.parser.Workflow)

  Return type:

    collections.abc.Iterator[cwl_utils.parser.SoftwareRequirement]